curl --request GET \
--url https://api.withorb.com/v1/licenses/external_licenses/{external_license_id}/usage \
--header 'Authorization: Bearer <token>'{
"data": [
{
"subscription_id": "<string>",
"license_type_id": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"allocated_credits": 123,
"consumed_credits": 123,
"remaining_credits": 123,
"pricing_unit": "<string>",
"license_id": "<string>",
"external_license_id": "<string>",
"allocation_eligible_credits": 123,
"shared_pool_credits": 123
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}Returns usage and remaining credits for a license identified by its external license ID.
Date range defaults to the current billing period if not specified.
curl --request GET \
--url https://api.withorb.com/v1/licenses/external_licenses/{external_license_id}/usage \
--header 'Authorization: Bearer <token>'{
"data": [
{
"subscription_id": "<string>",
"license_type_id": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"allocated_credits": 123,
"consumed_credits": 123,
"remaining_credits": 123,
"pricing_unit": "<string>",
"license_id": "<string>",
"external_license_id": "<string>",
"allocation_eligible_credits": 123,
"shared_pool_credits": 123
}
],
"pagination_metadata": {
"has_more": true,
"next_cursor": "<string>"
}
}API Keys can be issued in the Orb's web application.
Start date for the usage period (YYYY-MM-DD). Defaults to start of current billing period.
End date for the usage period (YYYY-MM-DD). Defaults to end of current billing period.
How to group the results. Valid values: 'license', 'day'. Can be combined (e.g., 'license,day').
Pagination cursor from a previous request.
Maximum number of rows in the response data (default 20, max 100).
1 <= x <= 100The subscription ID to get license usage for.
The license type ID to filter licenses by.
Was this page helpful?